<!-- [formGroup]="registerform" (ngSubmit)="register()" -->
<form class="sign-m" [formGroup]="registerform" (ngSubmit)="addCoupen()">
    <h3><b>Créer une nouvelle commande</b></h3>

    <div class="mb-3">
        <label for="name" class="form-label mb-1">Nom du coupon</label>
        <input type="text" class="form-control" id="name" name="name" formControlName="name">
    </div>
    <div class="errormsg" *ngIf="registerform.get('name')?.touched && registerform.get('name')?.hasError('required')">
        <h4> <b>Le nom du coupon est obligatoire</b></h4>
    </div>
    <div class="mb-3">
        <label for="name" class="form-label mb-1">Code</label>
        <input type="text" class="form-control" id="name" name="name" formControlName="code">
    </div>
    <div class="errormsg" *ngIf="registerform.get('code')?.touched && registerform.get('code')?.hasError('required')">
        <h4> <b>Le code du coupon est requis</b></h4>
    </div>
    <div class="mb-3 a-s-e r-chr1">
        <label for="name" class="form-label w-100">Date de début</label>
        <!-- <input type="date" class="form-control" id="name" name="name" formControlName="start_date"> -->
        <mat-form-field>
            <input matInput [matDatepicker]="dp" placeholder="dd/mm/aaaa" formControlName="start_date">
            <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
            <mat-datepicker #dp></mat-datepicker>
        </mat-form-field>
        <div class="errormsg" *ngIf="registerform.get('start_date')?.touched && registerform.get('start_date')?.hasError('required')">
            <br>
            <h4> <b>Le date de début est requise</b></h4>
        </div>

    </div>
    <div class="mb-3 a-s-e r-chr1">
        <label for="name" class="form-label w-100">Date de fin</label>
        <!-- <input type="date" class="form-control" id="name" name="name" formControlName="end_date"> -->
        <mat-form-field>
            <input matInput [matDatepicker]="dp1" placeholder="mm/dd/aaaa" formControlName="end_date">
            <mat-datepicker-toggle matSuffix [for]="dp1"></mat-datepicker-toggle>
            <mat-datepicker #dp1></mat-datepicker>
        </mat-form-field>
        <div class="errormsg" *ngIf="registerform.get('end_date')?.touched && registerform.get('end_date')?.hasError('required')">
            <br>
            <h4> <b>Le date de fin est requise</b></h4>
        </div>
    </div>
    <div class="mb-3">
        <label for="name" class="form-label mb-1">Type</label>
        <!-- <input type="number" class="form-control" id="name" name="name"  > -->
        <select name="" id="" formControlName="type" class="form-select" formControlName="type">
                     <option value="a">Amount</option>
                     <option value="p">Percentage</option>
                  </select>
    </div>
    <div class="errormsg" *ngIf="registerform.get('type')?.touched && registerform.get('type')?.hasError('required')">
        <h4> <b>La type est requise</b></h4>
    </div>
    <div class="mb-3">
        <label for="name" class="form-label mb-1">Valeur </label>
        <input type="number" class="form-control" id="name" name="name" formControlName="monper">
    </div>
    <div class="errormsg" *ngIf="registerform.get('monper')?.touched && registerform.get('monper')?.hasError('required')">
        <h4> <b>Le montant est obligatoire</b></h4>
    </div>
    <div class="mb-3">
        <label for="name" class="form-label mb-1">limite d'utilisation</label>
        <input type="number" class="form-control" id="name" name="name" formControlName="limit">
    </div>
    <div class="errormsg" *ngIf="registerform.get('limit')?.touched && registerform.get('limit')?.hasError('required')">
        <h4> <b>La qualité d'utilisation est requise</b></h4>
    </div>



    <div class="mb-3" *ngIf="orders">
        <label for="name" class="form-label mb-1">Sélectionner un produit</label>
        <div *ngFor="let pro of orders;  let i = index">

            <label>
                       <input type="checkbox" (change)="productCheck($event, pro)" value="{{pro._id}}" > 

                      
                                <img *ngIf="pro.images.length != 0;else other_content" src="{{baseurl}}static/public/{{pro.images[0]}}" alt="pic" width="10%">
                            
                        
                        <ng-template #other_content>
                            <img class="pic-1" src="./assets/build/img/nopro2.png" width="10%">
                        </ng-template>
                         &nbsp;{{pro.title}} </label>
            <hr>

        </div>

    </div>




    <button type="submit" class="btn btn-signs"><b>Economiser</b></button>
    <div class="comeBack_up" *ngIf="confirm">
        <div *ngIf="confirm.status == false; else loggedOut">
            <br>
            <div class="alert alert-danger"><strong>{{ confirm.errmessage }}</strong></div>
        </div>
        <ng-template #loggedOut>
            <br>
            <div class="alert alert-success"><strong>{{ confirm.message }}</strong></div>
        </ng-template>
    </div><br>
    <button mat-button mat-dialog-close class="btn btn-signs" style="color:#fff"><b>Fermer</b></button>

</form>